Nglide with ATi legacy cards

Report bugs, errors, problems, etc.
robertmo
Posts: 65
Joined: Tue Jul 26, 2011 3:41 pm

Re: Nglide with ATi legacy cards.

Postby robertmo » Sun Jun 03, 2012 2:23 pm

Front Line Fighters:
Apache, F-16 work in WinXP with real voodoo1 and voodoo2 (with voodoo2 patch)
Hind works in WinXP with real voodoo1 but freezes on first 3d flight screen with voodoo2 (with voodoo2 patch)

Gamecollector
Posts: 963
Joined: Fri Jan 07, 2011 9:29 am

Re: Nglide with ATi legacy cards.

Postby Gamecollector » Mon Jun 04, 2012 5:44 am

Removed from "not tested" list: Mechwarrior 2: Mercenaries - 3dfx Interactive Edition. No glide support, software/dx only. So sad... :(
Asus P4P800 SE/Pentium4 3.2E/2 GB DDR400 (3-3-3-8),
Radeon HD3850 AGP (Sapphire), Catalyst 14.4 (XpProSp3).
2 Voodoo2 12 MB (SLI), Win2k drivers 1.02.00 (XpProSp3).

robertmo
Posts: 65
Joined: Tue Jul 26, 2011 3:41 pm

Re: Nglide with ATi legacy cards.

Postby robertmo » Tue Jun 05, 2012 6:27 am

Monaco GP Racing Simulation 2 works in WinXP with voodoo1 and voodoo2. Has textures messed up with voodoo2 but also on PIII 450 in win98 so maybe my voodoo2 is broken? (works fine on that PIII with voodoo1, voodoobanshee and voodoo3, patching doesn't help much too).
BTW I noticed that in WinXP game doesn't want to detect the CD after patching. CD is detected no problem after patching on PIII and in dosbox with booted win98.

Gamecollector
Posts: 963
Joined: Fri Jan 07, 2011 9:29 am

Re: Nglide with ATi legacy cards.

Postby Gamecollector » Fri Jun 08, 2012 8:45 am

Removed from "not tested" list: Moto Racer.
The 3.22 patch fixed the "garbage screen" error in Xp.
There is the "-3dfx" switch for the main game executable (moto.exe), but no glide*.dll in the dependencies. Looks like another software/directx only game, voodoos are supported through directx.
Last edited by Gamecollector on Fri Jun 08, 2012 8:27 pm, edited 1 time in total.
Asus P4P800 SE/Pentium4 3.2E/2 GB DDR400 (3-3-3-8),
Radeon HD3850 AGP (Sapphire), Catalyst 14.4 (XpProSp3).
2 Voodoo2 12 MB (SLI), Win2k drivers 1.02.00 (XpProSp3).

robertmo
Posts: 65
Joined: Tue Jul 26, 2011 3:41 pm

Re: Nglide with ATi legacy cards.

Postby robertmo » Fri Jun 08, 2012 1:23 pm

Gamecollector wrote:but no glide*.dll in the dependencies

Is it possible that some windows games have integrated glide*.dll in executable like many dos games have integrated glide*.ovl?

Gamecollector
Posts: 963
Joined: Fri Jan 07, 2011 9:29 am

Re: Nglide with ATi legacy cards.

Postby Gamecollector » Fri Jun 08, 2012 8:27 pm

robertmo wrote:
Gamecollector wrote:but no glide*.dll in the dependencies

Is it possible that some windows games have integrated glide*.dll in executable like many dos games have integrated glide*.ovl?

No. All winglide games are using glide.dll (very few), glide2x.dll or glide3x.dll. The result is - excellent forward and backward compatibility.

Can't check the list for the glide*.dll in the dependencies. 1st - cd protections are big obstacle for this task. 2nd - well, "Adventure Pinball: Forgotten Isle" as the example. There is the glide2x.dll dependency in glidedrv.dll. But can't find the chain pb.exe -> glidedrv.dll. And can't find the packet dependency scanner for this...
Asus P4P800 SE/Pentium4 3.2E/2 GB DDR400 (3-3-3-8),
Radeon HD3850 AGP (Sapphire), Catalyst 14.4 (XpProSp3).
2 Voodoo2 12 MB (SLI), Win2k drivers 1.02.00 (XpProSp3).

Gamecollector
Posts: 963
Joined: Fri Jan 07, 2011 9:29 am

Re: Nglide with ATi legacy cards.

Postby Gamecollector » Sat Jun 09, 2012 8:04 am

Epic Fail...
Today I was checking my winglide list. Found the glitch - Airfix Dogfighter have only sound in the intro with nGlide. The last version of nGlide working is 0.96! *Censored* *Peep*
It looks like I must test all games in the list with the new nGlide version, not just the bugged/unsupported. *Censored*
Last edited by Gamecollector on Sat Jun 09, 2012 9:45 am, edited 1 time in total.
Asus P4P800 SE/Pentium4 3.2E/2 GB DDR400 (3-3-3-8),
Radeon HD3850 AGP (Sapphire), Catalyst 14.4 (XpProSp3).
2 Voodoo2 12 MB (SLI), Win2k drivers 1.02.00 (XpProSp3).

robertmo
Posts: 65
Joined: Tue Jul 26, 2011 3:41 pm

Re: Nglide with ATi legacy cards.

Postby robertmo » Sat Jun 09, 2012 8:12 am

better wait with testings till that bug is fixed ;)
anyway on zeus's list there is only Airfix Dog Fighter (Demo)
so maybe check only games that are not on that list

Gamecollector
Posts: 963
Joined: Fri Jan 07, 2011 9:29 am

Re: Nglide with ATi legacy cards.

Postby Gamecollector » Tue Jun 12, 2012 1:42 am

A and B are tested (20/224). 4 more games are bugged. !@E#DASSD!@#QWE!!!
By the way, found the Xp patch for "Barrage" (tnx to Old-games.ru and reg2s). Unfortunately for the d3d version only.
Attachments
Barrage Xp patch.7z
Barrage Xp patch (d3d)
(702.64 KiB) Downloaded 357 times
Last edited by Gamecollector on Sat Dec 01, 2012 3:47 pm, edited 1 time in total.
Asus P4P800 SE/Pentium4 3.2E/2 GB DDR400 (3-3-3-8),
Radeon HD3850 AGP (Sapphire), Catalyst 14.4 (XpProSp3).
2 Voodoo2 12 MB (SLI), Win2k drivers 1.02.00 (XpProSp3).

User avatar
Zeus
Site Admin
Posts: 1556
Joined: Sun Sep 21, 2008 2:51 pm
Contact:

Re: Nglide with ATi legacy cards.

Postby Zeus » Tue Jun 12, 2012 12:49 pm

Gamecollector wrote:Airfix Dogfighter. Version 1.15 (not patched) - only sound in the intro (working in nGlide 0.96).

Gamecollector wrote:Arabian Nights - !. "Complex Shadows" are broken (working in nGlide 0.96).

Gamecollector wrote:Bio F.R.E.A.K.S - !. Only the bars are visible in the actual combat (working in nglide 0.98)

Bugs confirmed. Good job. Keep testing.

Gamecollector wrote:Blaze & Blade: Eternal Quest. The title screen isn't showing (working in nglide 0.98)

This is not a nGlide bug. The title screen isn't rendered with the wrapper. And it's not showing only once per 10.


Return to “Problems”

Who is online

Users browsing this forum: Bing [Bot] and 10 guests